# Class ZipRepository

java.lang.Object
org.pentaho.reporting.libraries.repository.zipwriter.ZipRepository

All Implemented Interfaces:
  `Repository`

public class ZipRepository extends Object implements Repository
Creation-Date: 01.12.2006, 21:12:39

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`ZipRepository(OutputStream out)`
`ZipRepository(OutputStream out, int level)`
`ZipRepository(OutputStream out, int level, MimeRegistry mimeRegistry)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`MimeRegistry`
`getMimeRegistry()`
Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
`ContentLocation`
`getRoot()`
Returns the repositories root directory entry.
`void`
`writeContent(ZipEntry entry, InputStream in, int method, int compression)`
`void`
`writeDirectory(ZipEntry entry)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZipRepository

public ZipRepository(OutputStream out, int level, MimeRegistry mimeRegistry)

### ZipRepository

public ZipRepository(OutputStream out, int level)

### ZipRepository

public ZipRepository(OutputStream out)

## Method Details

### getRoot

public ContentLocation getRoot() throws ContentIOException
Description copied from interface: `Repository`
Returns the repositories root directory entry.

Specified by:
  `getRoot` in interface `Repository`
Returns:
  the root directory.
Throws:
  `ContentIOException` - if an error occurs.

### getMimeRegistry

public MimeRegistry getMimeRegistry()
Description copied from interface: `Repository`
Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.

Specified by:
  `getMimeRegistry` in interface `Repository`
Returns:
  the mime registry.
See Also:
  - `MimeRegistry`

### close

public void close() throws IOException

Throws:
  `IOException`

### writeDirectory

public void writeDirectory(ZipEntry entry) throws IOException

Throws:
  `IOException`

### writeContent

public void writeContent(ZipEntry entry, InputStream in, int method, int compression) throws IOException

Throws:
  `IOException`